#include <SDL/SDL.h>

#include "project_controls.h"
#include "project_timer.h"
#include "project_script.h"

bool quit = false;
bool show_fps = true;
bool limit_speed = false;

// =============
// ==== Run ====
// =============

void Render()
{
	Script();
	if (limit_speed) SpeedDown(20);
    SDL_GL_SwapBuffers();
    if (show_fps) CountFPS();

	nframe++;
}

void Run()
{
	do{
        Controls();
		Render();
	}while(quit==false);
}
